## Function template register_simple_filter_factory

boost::log::register_simple_filter_factory

## Synopsis

    // In header: <boost/log/utility/setup/filter_parser.hpp>

    template<typename AttributeValueT, typename CharT>
      void register_simple_filter_factory(attribute_name const & name);

## Description

The function registers a simple filter factory object for the specified attribute name. The factory will support attribute values of type `AttributeValueT`, which must support all relation operations, such as equality comparison and less/greater ordering, and also extraction from stream.

Parameters:

`name` | Attribute name to associate the factory with

Requires: | `name != NULL`, `name` points to a zero-terminated string